/**
 * Programa para probar la coleccion Bolsa
 * @author Yazmin Gonzalez Bayardo
 * @version Febrero 2015
 */
public class PruebaBolsa {
	
	public static void main(String[] args) {
		
		System.out.println("Creando una bolsa con los siguientes elementos: { Hola, Hello, Guten Tag, Aloha, Saluton, Hei, Bonjour, Namaste, Shalom, Halo, Parev, Kon-nichiwa, 7, 13, Aloha }");
		
		Bolsa bolsa = new Bolsa();
		
		bolsa.agregar("Hola"); //Spanish
		bolsa.agregar("Hello"); //English
		bolsa.agregar("Guten Tag"); //German
		bolsa.agregar("Aloha"); //Hawaiian
		bolsa.agregar("Saluton"); //Esperanto
		bolsa.agregar("Hei"); //Finnish
		bolsa.agregar("Bonjour"); //French
		bolsa.agregar("Namaste"); //Hindi
		bolsa.agregar("Shalom"); //Hebrew
		bolsa.agregar("Halo"); //Indonesian
		bolsa.agregar("Parev"); //Aremenian
		bolsa.agregar("Kon-nichiwa"); //Japanese
		bolsa.agregar(7);
		bolsa.agregar(13);
		bolsa.agregar("Aloha");
		
		System.out.println();
		
		System.out.println("La bolsa recien creada tiene " + bolsa.numElementos() +" elementos. \n");
		
		System.out.println("¿La bolsa contiene el numero 13? " + bolsa.contiene(13));
		System.out.println("Eliminando el elemento numero ... 13 ");
		bolsa.eliminar(13);
		System.out.println("¿La bolsa aun contiene el numero 13? " + bolsa.contiene(13));
		
		System.out.println("La bolsa ahora contiene solamente " + bolsa.numElementos() + " elementos. \n");
		
		System.out.println("¿Cual es la cardinalidad de la palabra \"Hi\"? " + bolsa.cardinalidad("Hi"));
		
		System.out.println("¿Cual es la cardinalidad de la palabra \"Aloha\"? " + bolsa.cardinalidad("Aloha") + "\n");
		System.out.println("Eliminando el elemento ... \"Aloha\"");
		bolsa.eliminar("Aloha");
		
		System.out.println("Ahora la bolsa tiene " + bolsa.numElementos() +" elementos. \n");
	}
}