/**
 * Clase para probar la clase ArbolBinario.
 * @author Yazmin Gonzalez Bayardo
 * @version Julio 2015
 */
public class PruebaArbolBinario {
	
	public static void main(String[] args) {
		
		NodoArbol izq = new NodoArbol("B",new NodoArbol("C"), null);
		NodoArbol der = new NodoArbol("E",null, new NodoArbol("G"));
		NodoArbol raiz = new NodoArbol("A", izq, der);
		ArbolBinario ab1 = new ArbolBinario(raiz);
		
		System.out.println();
		System.out.println("----- Arbol Binario 1 -----");
		System.out.print("Tamanio: ");
		System.out.println(ab1.tamanio());
		System.out.print("Altura: ");
		System.out.println(ab1.altura());
		System.out.print("Numero de hojas: ");
		System.out.println(ab1.hojas());
		System.out.print("Numero de nodos internos: ");
		System.out.println(ab1.nodosInternos());
		System.out.print("Recorrido en pre-orden: ");
		ab1.preOrden();
		System.out.print("\nRecorrido en in-orden: ");
		ab1.inOrden();
		System.out.print("\nRecorrido en post-orden: ");
		ab1.postOrden();
		System.out.println();
		
		
		ArbolBinario ab2 = new ArbolBinario();
		ab2.insertar("Rosario");
		ab2.insertar("Liliana");
		ab2.insertar("Juan");
		ab2.insertar("Ernesto");
		ab2.insertar("Rosa");
		ab2.insertar("Nieves");
		ab2.insertar("Luis");
		
		System.out.println();
		System.out.println("----- Arbol Binario 2 -----");
		System.out.print("Tamanio: ");
		System.out.println(ab2.tamanio());
		System.out.print("Altura: ");
		System.out.println(ab2.altura());
		System.out.print("Numero de hojas: ");
		System.out.println(ab2.hojas());
		System.out.print("Numero de nodos internos: ");
		System.out.println(ab2.nodosInternos());
		System.out.print("Recorrido en pre-orden: ");
		ab2.preOrden();
		System.out.print("\nRecorrido en in-orden: ");
		ab2.inOrden();
		System.out.print("\nRecorrido en post-orden: ");
		ab2.postOrden();
		System.out.println();
	}
}