/**
 * Clase para probar la clase TablaDeDispersionA2.
 * @author Yazmin Gonzalez Bayardo
 * @version Diciembre 2015
 */
public class PruebaTablaDispersion {
	
	public static void main(String[] args) {
		
		System.out.println("\nSe crea tabla de dispersion con capacidad indicada de 15 elementos");
		TablaDeDispersionA2 tabla = new TablaDeDispersionA2(15);
		
		System.out.println("\nCapacidad tabla: " +tabla.capacidad());
		System.out.println("¿Esta vacia?: " +tabla.estaVacia());
		System.out.println("Num de elementos: " +tabla.tamanio());
		System.out.println();
		System.out.println("Se agregan las siguientes letras: Y, E, A, R, J, L, S, C");
		
		tabla.agregar("Y");
		tabla.agregar("E");
		tabla.agregar("A");
		tabla.agregar("R");
		tabla.agregar("J");
		tabla.agregar("L");
		tabla.agregar("S");
		tabla.agregar("C");
		System.out.println("\nNum de elementos: " +tabla.tamanio());
		System.out.println("Iterando sobre la tabla de dispersion:");
		java.util.Iterator it = tabla.iterador();
		while(it.hasNext())
			System.out.println(it.next());

		System.out.println("\n---¿Contiene la letra A?: "+tabla.contiene("A"));
		System.out.println("Obtener la letra A: " +tabla.obtener("A"));
		System.out.println("Eliminando la letra A...");
		tabla.eliminar("A");
		System.out.println("Num de elementos: " +tabla.tamanio());
		System.out.println("\n¿Contiene la letra A?: "+tabla.contiene("A"));
		System.out.println("Obtener letra A: " +tabla.obtener("A"));
		
		System.out.println("Tratar de eliminar letra inexistente, letra A...");
		tabla.eliminar("A");
		System.out.println("Num de elementos: " +tabla.tamanio());
		System.out.println("Imprime contenido de la tabla:");
		tabla.imprimir();
		
		System.out.println("\n---Prueba de reajuste de la capacidad de la tabla al eliminar elementos.");
		System.out.println("Eliminando las siguientes letras S, C, E, A, Y y L...");
		
		tabla.eliminar("S");
		tabla.eliminar("C");
		tabla.eliminar("E");
		tabla.eliminar("A");
		tabla.eliminar("Y");
		tabla.eliminar("L");
		
		System.out.println("Nueva capacidad de la tabla: " +tabla.capacidad());
		System.out.println("Num de elementos: " +tabla.tamanio());
		System.out.println("Imprime contenido de la tabla:");
		tabla.imprimir();
		
		System.out.println("\n---Prueba de reajuste de la capacidad de la tabla al agregar elementos.");
		System.out.println("Agregar las letras L, G, W, Y");
		
		tabla.agregar("L");
		tabla.agregar("G");
		tabla.agregar("W");
		tabla.agregar("Y");
		
		System.out.println("\nNueva capacidad de la tabla: " +tabla.capacidad());
		System.out.println("Num de elementos: " +tabla.tamanio());
		System.out.println("Imprime contenido de la tabla:");
		tabla.imprimir();
		
		
	}

}