import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;
import java.util.Iterator;

/**
 * Programa para probar el iterador de la clase ArregloPalabras
 * @author Yazmin Gonzalez Bayardo
 * @version Febrero 2015
 */
public class PruebaArreglo{
	
	public static void main(String[] args){
		
		String[] arrPalabras = new String[100];
		int i = 0;
		
		try{
			Scanner sc = new Scanner(new File("palabras.txt"));
			
			while(sc.hasNextLine() && i < arrPalabras.length) {
				arrPalabras[i] = sc.nextLine();
				i++;
			}
			sc.close();
		}
		catch (FileNotFoundException e) {
			e.printStackTrace();
		}
		
		ArregloPalabras palabras = new ArregloPalabras(arrPalabras);
			
		Iterator it = palabras.iterador();
		while(it.hasNext())
		{
			System.out.println(it.next());
		}
	}
}	