/**
 * Programa para probar la clase ListaPeliculas
 * @author Yazmin Gonzalez Bayardo
 * @version Abril 2015
 */
public class PruebaListaPeliculas {
	
	public static void main(String[] args) {
		
		ListaPeliculas topPeliculas = new ListaPeliculas("prueba.ser");
		System.out.println("\n---- Agregar las siguientes 3 peliculas: ");
		System.out.print("The Godfather,10");
		System.out.print("\tBack to the Future,8");
		System.out.print("\tAmelie,9\n");
		
		topPeliculas.agregarPelicula("The Godfather",10);
		topPeliculas.agregarPelicula("Back to the Future",8);
		topPeliculas.agregarPelicula("Amelie",9);
		
		System.out.println("\nImprimir lista de peliculas...");
		topPeliculas.imprimirLista();
		
		System.out.println("\n---- Agregar mas peliculas a partir de un archivo...");
		topPeliculas.agregarArchivoPeliculas("datosPeliculas.txt");
		
		System.out.println("\nImprimir lista de peliculas...");
		topPeliculas.imprimirLista();
		
		System.out.println("\n---- Eliminar la pelicula 28 days later...");
		topPeliculas.eliminarPelicula("28 days later");
		
		System.out.println("\n---- Eliminar la pelicula The Good the Bad and the Ugly...");
		topPeliculas.eliminarPelicula("The Good the Bad and the Ugly");
		
		System.out.println("\nImprimir nuevamente lista de peliculas...");
		topPeliculas.imprimirLista();
		
		System.out.println("\n---- Consultar la pelicula the matrix...");
		topPeliculas.consultarPelicula("the matrix");
		
		System.out.println("\n---- Actualizar la pelicula The Matrix con calificacion 9...");
		topPeliculas.modificarCalificacion("The Matrix",9);
		
		System.out.println("\nConsultar nuevamente la pelicula The matrix...");
		topPeliculas.consultarPelicula("The matrix");

		System.out.println("\n---- Almacenando peliculas en archivo en disco...");
		topPeliculas.guardarPeliculas();
		
		System.out.println("\n---- Prueba para asegurarse de que los datos de la lista fueron serializados...");
		ListaPeliculas pruebaSer = new ListaPeliculas("prueba.ser");
		
		System.out.println("\nObtener lista de peliculas...");
		pruebaSer.imprimirLista();
		
		System.out.println("\nBorrando la lista completa...");
		pruebaSer.borrarLista("si");
		pruebaSer.guardarPeliculas();
	}
}