/**
 * Programa para probar la clase PilasConArreglo
 * @author Yazmin Gonzalez Bayardo
 * @version Abril 2015
 */
public class PruebaPilas {
	
	public static void main(String[] args) {
		
		System.out.println("\nCreando estructura de datos PilasConArreglo para 10 elementos...");
		PilasConArreglo misPilas = new PilasConArreglo();
		
		System.out.println("\nInsertando elementos \"A\",\"B\",\"C\",\"D\",\"E\",\"F\" a la Pila 1 (Push)...");
		misPilas.push(1,"A");
		misPilas.push(1,"B");
		misPilas.push(1,"C");
		misPilas.push(1,"D");
		misPilas.push(1,"E");
		misPilas.push(1,"F");

		System.out.println("\nInsertando elementos \"G\",\"H\",\"I\",\"J\" a la Pila 2 (Push)...");
		misPilas.push(2,"G");
		misPilas.push(2,"H");
		misPilas.push(2,"I");
		misPilas.push(2,"J");
		
		System.out.println("\nIterando elementos de la Pila 1");	
	    for(java.util.Iterator it1 = misPilas.iterador(1); it1.hasNext(); ) {
	        System.out.println(it1.next());
		}
		System.out.println("\nIterando elementos de la Pila 2");	
	    for(java.util.Iterator it2 = misPilas.iterador(2); it2.hasNext(); ) {
	        System.out.println(it2.next());
		}
		
		System.out.println("\nTop Pila1: " + misPilas.top(1));
		System.out.println("Top Pila2: " + misPilas.top(2));
		
		System.out.println("\nInsertar elemento \"K\" a la Pila 2 (Push)...");
		misPilas.push(2,"K");
		
		System.out.println("\nPop Pila1: " + misPilas.pop(1));
		System.out.println("Pop Pila1: " + misPilas.pop(1));
		System.out.println("Pop Pila1: " + misPilas.pop(1));
		
		System.out.println("Pop Pila2: " + misPilas.pop(2));
		
		System.out.println("\nTop Pila1: " + misPilas.top(1));
		System.out.println("Top Pila2: " + misPilas.top(2));

		System.out.println();
		System.out.println("Iterando elementos de la Pila 1");	
	    for(java.util.Iterator it1 = misPilas.iterador(1); it1.hasNext(); ) {
	        System.out.println(it1.next());
		}
		System.out.println("Iterando elementos de la Pila 2");	
	    for(java.util.Iterator it2 = misPilas.iterador(2); it2.hasNext(); ) {
	        System.out.println(it2.next());
		}
		
		System.out.println("\nVaciando solamente la Pila 1...");
		misPilas.vaciar(1);
		System.out.println("\n¿Esta vacia la Pila 1? " + misPilas.estaVacia(1));
		System.out.println("¿Esta vacia la Pila 2? " + misPilas.estaVacia(2));
	}
}