import java.util.Comparator;
/**
 * Clase que implementa la interfaz Comparator y permita comparar Palabras lexicograficamente.
 * @author Yazmin Gonzalez Bayardo
 * @version Agosto 2015
 */
public class ComparaPalabras implements Comparator<Object> {
	
	public int compare(Object o1, Object o2) {
		if((o1 instanceof Palabra) && (o2 instanceof Palabra)) {
			
			if(o1 == o2) return 0;
			
			Palabra p1 = (Palabra) o1;
			Palabra p2 = (Palabra) o2;
			return p1.obtenerPalabra().compareTo(p2.obtenerPalabra());
		}
		else
			throw new IllegalArgumentException("Los objetos a comparar no son de la clase Palabra");
	}
}