/**
 * Programa para probar la clase Polinomio.
 * @author Yazmin Gonzalez Bayardo
 * @version Febrero 2015
 */
public class PruebaPolinomio {
	
	public static void main(String[] args) {
		
		Polinomio cero = new Polinomio();
		System.out.print("Creacion de polinomio por omision: ");
		cero.imprimir();
		
		System.out.println();

        Polinomio a1 = new Polinomio(6, 3);
        Polinomio a2 = new Polinomio(5, 2);
		Polinomio a3 = new Polinomio(2, 1);		
        Polinomio a4 = new Polinomio(1, 0);
		Polinomio a = a1.sumar(a2).sumar(a3).sumar(a4);
		System.out.print("Polinomio A: ");
		a.imprimir();
		
		System.out.println();
		
		Polinomio b1 = new Polinomio(3, 2);
		Polinomio b2 = new Polinomio(7, 0);		
		Polinomio b = b1.sumar(b2);
		System.out.print("Polinomio B: ");
		b.imprimir();
		
		System.out.println();
		
		System.out.print("Suma de polinomios A + B: ");
        Polinomio poliSuma = a.sumar(b);
		poliSuma.imprimir();
		
		System.out.println();
		
		System.out.print("Resta de polinomios A - B: ");
		Polinomio poliResta = a.restar(b);
		poliResta.imprimir();
		
		System.out.println();
		
		System.out.print("Multiplicacion de polinomios A * B: ");
		Polinomio poliMulti = a.multiplicar(b);
		poliMulti.imprimir();
		
		System.out.println();
				
		System.out.print("Evaluacion de polinomio A, x = 0.5: ");
		System.out.println(a.evaluar(0.5));
		
		System.out.println();
		
		System.out.print("Evaluacion de polinomio B, x = 13 : ");
		System.out.println(b.evaluar(13));
		
		System.out.println();		
	}
}