import java.util.Iterator;

/**
 * Programa para probar la coleccion BolsaIterable
 * @author Yazmin Gonzalez Bayardo
 * @version Febrero 2015
 */
public class PruebaBolsaConIterador {
	
	public static void main(String[] args) {
		
		System.out.println("\nCreando una Bolsa Iterable con los siguientes dulces: ");
		System.out.println("{ mazapan, pulparindo, cocada, dulce de leche, oblea, camote, palanqueta, alegria } ");
		
		BolsaConIterador bolsaIt = new BolsaConIterador();
		
		bolsaIt.agregar("mazapan");
		bolsaIt.agregar("pulparindo");
		bolsaIt.agregar("cocada");
		bolsaIt.agregar("dulce de leche");
		bolsaIt.agregar("oblea");
		bolsaIt.agregar("camote");
		bolsaIt.agregar("palanqueta");
		bolsaIt.agregar("alegria");
		
		System.out.println();
		
		System.out.println("La bolsa tiene " + bolsaIt.numElementos() +" elementos.\n");
		
		System.out.println("Iterando sobre los elementos de la bolsa:");
		
		Iterator it = bolsaIt.iterador();
		while(it.hasNext())
		{
			System.out.println(it.next());
		}
		
		System.out.println();
	}
}