import java.util.Iterator;
/**
 * Programa para probar la clase ListaOrdenada
 * @author Yazmin Gonzalez Bayardo
 * @version Marzo 2015
 */
public class PruebaListaOrdenada {
	
	public static void main(String[] args) {
		
		Tarea tarea1 = new Tarea("Lavar ropa", 5);
		Tarea tarea2 = new Tarea("Hacer practica de ED", 1);
		Tarea tarea3 = new Tarea("Cita con el dentista", 4);
		Tarea tarea4 = new Tarea("Hacer ejercicio", 2);
		
		Lista listaTareas = new Lista();
		listaTareas.agregar(tarea1);
		listaTareas.agregar(tarea2);
		listaTareas.agregar(tarea3);
		listaTareas.agregar(tarea4);
		
		System.out.println("\nTareas pendientes:");
	    for(Iterator it = listaTareas.iterador(); it.hasNext(); ) {
	        System.out.println(it.next());
		}
		
		System.out.println();
        ListaOrdenada listaOrdenadaTareas = new ListaOrdenada(new ComparaPrioridades());
		listaOrdenadaTareas.agregar(tarea1);
		listaOrdenadaTareas.agregar(tarea2);
		listaOrdenadaTareas.agregar(tarea3);
		listaOrdenadaTareas.agregar(tarea4);
		
		System.out.println("Tareas ordenadas por prioridad: ");
	    for(Iterator it = listaOrdenadaTareas.iterador(); it.hasNext(); ) {
	        System.out.println(it.next());
		}
		
		Tarea tarea5 = new Tarea("Alimentar a Fido", 1);
		Tarea tarea6 = new Tarea("Ver serie de TV", 6);
		Tarea tarea7 = new Tarea("Comprar despensa", 3);
		
		Lista otrasTareas = new Lista();
		otrasTareas.agregar(tarea5);
		otrasTareas.agregar(tarea6);
		otrasTareas.agregar(tarea7);

		System.out.println("\nOtra lista de tareas pendientes: ");
	    for(Iterator it = otrasTareas.iterador(); it.hasNext(); ) {
	        System.out.println(it.next());
		}
		
		System.out.println();
		System.out.println("Fusionar el resto de tareas pendientes a mi lista ordenada de tareas... ");
		listaOrdenadaTareas.fundir(otrasTareas);
	    for(Iterator it = listaOrdenadaTareas.iterador(); it.hasNext(); ) {
	        System.out.println(it.next());
		}
		
		System.out.println();
		System.out.println("La lista incluye la tarea \"Limpiar mi cuarto\" ?... " + listaOrdenadaTareas.contiene(new Tarea("Limpiar mi cuarto")));
		System.out.println();
		System.out.println("La lista incluye la tarea \"lavar ropa\" ?... " + listaOrdenadaTareas.contiene(new Tarea("lavar ropa")));
		System.out.println();
		System.out.println("Eliminar la tarea \"lavar ropa\" ... ");
		listaOrdenadaTareas.eliminar(new Tarea("lavar ropa"));
			
		System.out.println();
		System.out.println("Lista final de tareas ordenadas por prioridad: ");
	    for(Iterator it = listaOrdenadaTareas.iterador(); it.hasNext(); ) {
	        System.out.println(it.next());
		}
		
		System.out.println();
		System.out.println("Llamada al metodo agregarAlInicio... ");
		listaOrdenadaTareas.agregarAlInicio(new Tarea("Lavar los trastes",5));
		
		System.out.println();
		System.out.println("Llamada al metodo sustituir... ");
		listaOrdenadaTareas.sustituir(tarea4,new Tarea("Lavar los trastes",5));
	}
}