/**
 * Programa para probar la clase PilaConMinimo
 * @author Yazmin Gonzalez Bayardo
 * @version Mayo 2015
 */
public class PruebaPilaConMinimo {
	
	public static void main(String[] args) {
		
			PilaConMinimo miPilaMin = new PilaConMinimo(new ComparaContenedores());
			
			System.out.println("\nCreando 5 contenedores...");
			Contenedor c1 = new Contenedor(68.5);
			Contenedor c2 = new Contenedor(35.8);
			Contenedor c3 = new Contenedor(15.7);
			Contenedor c4 = new Contenedor(125);
			Contenedor c5 = new Contenedor(20.3);
			
			System.out.println("\nPush a la pila. Insertando 5 contenedores a la pila...");
			miPilaMin.push(c1);
			miPilaMin.push(c2);
			miPilaMin.push(c3);
			miPilaMin.push(c4);
			miPilaMin.push(c5);
			
			System.out.println("\nIterando la pila:");	
		    for(java.util.Iterator it = miPilaMin.iterador(); it.hasNext(); ) {
		        System.out.println(it.next());
			}
			
			System.out.println("\nMinimo de la pila: \n"+miPilaMin.minimo());
			
			
			System.out.println("\nPop a la pila.");
			miPilaMin.pop();
			System.out.println("\nPop a la pila.");
			miPilaMin.pop();
			System.out.println("\nPop a la pila.");
			miPilaMin.pop();
			
			
			System.out.println("\nIterando la pila:");		
		    for(java.util.Iterator it = miPilaMin.iterador(); it.hasNext(); ) {
		        System.out.println(it.next());
			}
			
			System.out.println("\nMinimo de la pila: \n"+miPilaMin.minimo());
			
			System.out.println("\nVaciando la pila...");
			miPilaMin.vaciar();

			System.out.println("\nMinimo de la pila: \n"+miPilaMin.minimo());
			System.out.println();
		}
}	