/**
 * Programa para probar la clase ColaCircular
 * @author Yazmin Gonzalez Bayardo
 * @version Junio 2015
 */
public class PruebaColaCircular {
	
	public static void main(String[] args) {
		
		ColaCircular circular = new ColaCircular();
		
		System.out.println("\nCreando una cola circular con 6 elementos...");
		circular.agregar("Practica 1");
		circular.agregar("Practica 2");
		circular.agregar("Practica 3");
		circular.agregar("Practica 4");
		circular.agregar("Practica 5");
		circular.agregar("Practica 6");

		System.out.println("\n¿Esta vacia la cola circular? "+circular.estaVacia());
		System.out.println("Tamanio de la cola circular: "+circular.tamanio());
		System.out.println("Primer elemento: "+circular.tomar());
		System.out.println("Ultimo elemento: "+circular.ultimo());
		
		System.out.println("\nIterando sobre la cola circular...");
	    for(java.util.Iterator it = circular.iterador(); it.hasNext(); ) {
	        System.out.println(it.next());
		}
		
		System.out.println("\nRotando una vez la cola circular...");
		circular.rotar();
		System.out.println("Ahora el primer elemento es: "+circular.tomar());
		System.out.println("Y el ultimo elemento es: "+circular.ultimo());
		
		System.out.println("\nIterando sobre la cola circular...");
	    for(java.util.Iterator it = circular.iterador(); it.hasNext(); ) {
	        System.out.println(it.next());
		}
		
		System.out.println("\nEliminando un elemento...");
		circular.eliminar();
		System.out.println("Tamanio de la cola circular: "+circular.tamanio());
		System.out.println("Ahora el primer elemento es: "+circular.tomar());
		
		System.out.println("\nVaciando la cola circular...");
		circular.vaciar();
		System.out.println("¿Esta vacia la cola circular? "+circular.estaVacia());
		System.out.println();
	}

}